# $Revision: 1.28 $, $Date: 2009/09/02 07:19:21 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	NetPacket
Summary:	NetPacket - modules to assemble/disassemble network packets of various Internet protocols
Summary(pl.UTF-8):	NetPacket - moduły składania/rozkładania pakietów różnych protokołów internetowych
Name:		perl-NetPacket
Version:	0.41.1
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	77c1482927c6892b9571404485ffe591
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"NetPacket" provides a base class for a cluster of modules related to
decoding and encoding of network protocols.  Each "NetPacket"
descendent module knows how to encode and decode packets for the
network protocol it implements.  At present, decoding/encoding for the
following protocols has been implemented: Ethernet (802.3 and 802.2),
ARP, ICMP, IGMP, IP, UDP, TCP, LLC, Spanning Tree (802.1D and 802.1w)
and LACP (not complete yet).

%description -l pl.UTF-8
"NetPacket" stanowi klasę bazową dla zbioru modułów służących do
rozkodowywania i kodowania protokołów sieciowych. Każdy z tych modułów
umie rozkodować i zakodować implementowany przez siebie protokół
sieciowy. Aktualnie zaimplementowane jest rozkodowywanie/kodowanie
następujących protokołów: Ethernet (802.3 i 802.2), ARP, ICMP, IGMP,
IP, UDP, TCP, LLC, Spanning Tree (802.1D and 802.1w) i LACP (jeszcze
nie dokończone).

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name .packlist | xargs -r rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/%{pdir}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-NetPacket.spec,v $
Revision 1.28  2009/09/02 07:19:21  amateja
- updated to 0.41.1

Revision 1.27  2008/07/27 22:44:27  arekm
- release 3

Revision 1.26  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.24  2004/11/03 22:30:38  paladine
- formatting

Revision 1.23  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.22  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.21  2004/04/26 23:02:37  ankry
- license fixes and unification

Revision 1.20  2004/04/15 05:31:08  ankry
- updated description, fixed License

Revision 1.19  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.18  2003/08/18 08:09:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.14  2003/03/01 20:22:03  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:37:24  ankry
- massive attack: change CPAN URLs

Revision 1.11  2003/02/05 16:19:26  ankry
- autoupdated to 0.04

Revision 1.10  2002/11/26 00:14:29  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.9  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/03/03 22:19:59  marcus
- rel.3.

Revision 1.7  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 20:28:05  kloczek
- adapterized.

Revision 1.5  2002/02/10 15:40:16  depesz
adapterized

Revision 1.4  2002/02/09 12:59:38  depesz
- unfied source path

Revision 1.3  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/07 15:10:47  qboosh
- pl translations, release 2

Revision 1.1  2001/11/15 09:07:27  mis
- 1st release
